<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpFileEntry: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpEnumLabel.html" title="GimpEnumLabel">
<link rel="next" href="GimpFrame.html" title="GimpFrame">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpFileEntry.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpFileEntry.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpFileEntry.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpFileEntry.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpEnumLabel.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpFrame.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpFileEntry"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpFileEntry.top_of_page"></a>GimpFileEntry</span></h2>
<p>GimpFileEntry — Widget for entering a filename.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-file-entry.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpFileEntry.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpFileEntry.html#gimp-file-entry-new" title="gimp_file_entry_new ()">gimp_file_entry_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpFileEntry.html#gimp-file-entry-get-filename" title="gimp_file_entry_get_filename ()">gimp_file_entry_get_filename</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpFileEntry.html#gimp-file-entry-set-filename" title="gimp_file_entry_set_filename ()">gimp_file_entry_set_filename</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpFileEntry.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpFileEntry.html#GimpFileEntry-filename-changed" title="The “filename-changed” signal">filename-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpFileEntry.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpFileEntry.html#GimpFileEntry-struct" title="GimpFileEntry">GimpFileEntry</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpFileEntry.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> GimpFileEntry
</pre>
</div>
<div class="refsect1">
<a name="GimpFileEntry.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpFileEntry implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpFileEntry.description"></a><h2>Description</h2>
<p>This widget is used to enter filenames or directories.</p>
<p>There is a <a href="../gtk2/GtkEntry.html#GtkEntry-struct"><span class="type">GtkEntry</span></a> for entering the filename manually and a "..."
button which will pop up a <a href="../gtk2/GtkFileChooserDialog.html#GtkFileChooserDialog-struct"><span class="type">GtkFileChooserDialog</span></a>.</p>
<p>You can restrict the <a class="link" href="GimpFileEntry.html" title="GimpFileEntry"><span class="type">GimpFileEntry</span></a> to directories. In this
case the filename listbox of the <a href="../gtk2/GtkFileChooser.html#GtkFileChooser-struct"><span class="type">GtkFileChooser</span></a> dialog will be
set to directory mode.</p>
<p>If you specify <em class="parameter"><code>check_valid</code></em>
 as <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><span class="type">TRUE</span></a> in <a class="link" href="GimpFileEntry.html#gimp-file-entry-new" title="gimp_file_entry_new ()"><code class="function">gimp_file_entry_new()</code></a> the
entered filename will be checked for validity and a pixmap will be
shown which indicates if the file exists or not.</p>
<p>Whenever the user changes the filename, the "filename_changed"
signal will be emitted.</p>
</div>
<div class="refsect1">
<a name="GimpFileEntry.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-file-entry-new"></a><h3>gimp_file_entry_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_file_entry_new (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *title</code></em>,
                     <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *filename</code></em>,
                     <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> dir_only</code></em>,
                     <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> check_valid</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_file_entry_new</code> is deprecated and should not be used in newly-written code.</p></div>
<p>You should use <a href="../gtk2/GtkFileChooserButton.html#GtkFileChooserButton-struct"><span class="type">GtkFileChooserButton</span></a> instead.</p>
<div class="refsect3">
<a name="gimp-file-entry-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>title</p></td>
<td class="parameter_description"><p>The title of the <a class="link" href="GimpFileEntry.html" title="GimpFileEntry"><span class="type">GimpFileEntry</span></a> dialog.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>filename</p></td>
<td class="parameter_description"><p>The initial filename.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>dir_only</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the file entry should accept directories only.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>check_valid</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the widget should check if the entered file
really exists.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-file-entry-new.returns"></a><h4>Returns</h4>
<p> A pointer to the new <a class="link" href="GimpFileEntry.html" title="GimpFileEntry"><span class="type">GimpFileEntry</span></a> widget.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-file-entry-get-filename"></a><h3>gimp_file_entry_get_filename ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
gimp_file_entry_get_filename (<em class="parameter"><code><a class="link" href="GimpFileEntry.html" title="GimpFileEntry"><span class="type">GimpFileEntry</span></a> *entry</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_file_entry_get_filename</code> is deprecated and should not be used in newly-written code.</p></div>
<p>Note that you have to <a href="../glib/glib-Memory-Allocation.html#g-free"><code class="function">g_free()</code></a> the returned string.</p>
<div class="refsect3">
<a name="gimp-file-entry-get-filename.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>entry</p></td>
<td class="parameter_description"><p>The file entry you want to know the filename from.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-file-entry-get-filename.returns"></a><h4>Returns</h4>
<p> The file or directory the user has entered.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-file-entry-set-filename"></a><h3>gimp_file_entry_set_filename ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_file_entry_set_filename (<em class="parameter"><code><a class="link" href="GimpFileEntry.html" title="GimpFileEntry"><span class="type">GimpFileEntry</span></a> *entry</code></em>,
                              <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *filename</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_file_entry_set_filename</code> is deprecated and should not be used in newly-written code.</p></div>
<p>If you specified <em class="parameter"><code>check_valid</code></em>
 as <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> in <a class="link" href="GimpFileEntry.html#gimp-file-entry-new" title="gimp_file_entry_new ()"><code class="function">gimp_file_entry_new()</code></a>
the <a class="link" href="GimpFileEntry.html" title="GimpFileEntry"><span class="type">GimpFileEntry</span></a> will immediately check the validity of the file
name.</p>
<div class="refsect3">
<a name="gimp-file-entry-set-filename.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>entry</p></td>
<td class="parameter_description"><p>The file entry you want to set the filename for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>filename</p></td>
<td class="parameter_description"><p>The new filename.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpFileEntry.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpFileEntry-struct"></a><h3>GimpFileEntry</h3>
<pre class="programlisting">typedef struct _GimpFileEntry GimpFileEntry;</pre>
<div class="warning"><p><code class="literal">GimpFileEntry</code> is deprecated and should not be used in newly-written code.</p></div>
</div>
</div>
<div class="refsect1">
<a name="GimpFileEntry.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpFileEntry-filename-changed"></a><h3>The <code class="literal">“filename-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpFileEntry.html" title="GimpFileEntry"><span class="type">GimpFileEntry</span></a> *gimpfileentry,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>       user_data)</pre>
<p>This signal is emitted whenever the user changes the filename.</p>
<div class="refsect3">
<a name="GimpFileEntry-filename-changed.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpFileEntry.see-also"></a><h2>See Also</h2>
<p><a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a></p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>